From 97b4959be37bf2c3964bd962030d63a48450f3ca Mon Sep 17 00:00:00 2001
From: Osamu Aoki <osamu@debian.org>
Date: Thu, 3 Mar 2016 21:44:06 +0900
Subject: [PATCH] uscan dehs supports <errors> properly now

---
 rimporters/upstream.rb | 21 +++------------------
 1 file changed, 3 insertions(+), 18 deletions(-)

diff --git a/rimporters/upstream.rb b/rimporters/upstream.rb
index 87ab2e6..961b87b 100755
--- a/rimporters/upstream.rb
+++ b/rimporters/upstream.rb
@@ -85,11 +85,6 @@ module Upstream
         :warnings => nil
       }
     end
-    if stderr != ''
-      stderr = "uscan output on stderr: #{stderr}\n"
-    else
-      stderr = nil
-    end
     if d.root.elements.count == 0
       return {
         :debian_uversion => nil,
@@ -97,19 +92,9 @@ module Upstream
         :upstream_version => nil,
         :upstream_url => nil,
         :status => 'error',
-        :errors => stderr,
+        :errors => nil,
         :warnings => 'uscan returned an empty output'
       }
-    elsif d.root.elements['errors']
-      return {
-        :debian_uversion => nil,
-        :debian_mangled_uversion => nil,
-        :upstream_version => nil,
-        :upstream_url => nil,
-        :status => 'error',
-        :errors => (stderr || '') + d.root.elements['errors'].text,
-        :warnings => nil
-      }
     elsif not (['debian-uversion', 'debian-mangled-uversion', 'upstream-version', 'upstream-url', 'status'] - d.root.elements.to_a.map { |e| e.name }).empty?
       # At least one of the required fields is missing. Count as error.
       return {
@@ -118,7 +103,7 @@ module Upstream
         :upstream_version => (e = d.root.elements['upstream-version']) ? e.text : nil,
         :upstream_url => (e = d.root.elements['upstream-url']) ? e.text : nil,
         :status => 'error',
-        :errors => stderr,
+        :errors => (e = d.root.elements['errors']) ? e.text : nil,
         :warnings => (e = d.root.elements['warnings']) ? e.text : nil
       }
     else
@@ -128,7 +113,7 @@ module Upstream
         :upstream_version => d.root.elements['upstream-version'].text,
         :upstream_url => d.root.elements['upstream-url'].text,
         :status => d.root.elements['status'].text,
-        :errors => stderr,
+        :errors => (e = d.root.elements['errors']) ? e.text : nil,
         :warnings => (e = d.root.elements['warnings']) ? e.text : nil
       }
     end
-- 
2.7.0

